Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class LRSProxyMap

    java.lang.Object
      org.apache.openjpa.util.AbstractLRSProxyMap
          org.apache.openjpa.jdbc.meta.strats.LRSProxyMap

All Implemented Interfaces:
  Map, org.apache.commons.collections.Predicate, ChangeTracker, LRSProxy, MapChangeTracker, Proxy

     class LRSProxyMap

extends AbstractLRSProxyMap

Large result set map.

Author:
  Abe White

Constructor Summary
`LRSProxyMap(LRSMapFieldStrategy strat)`

Method Summary
`protected int` | `count()` Return the number of entries in the map, or `Integer.MAX_VALUE`.
`protected boolean` | `hasKey(Object key)` Return whether the given key exists in the map.
`protected boolean` | `hasValue(Object value)` Return whether the given value exists in the map.
`protected Iterator` | `itr()` Implement this method to return an iterator over the entries in the map.
`protected Collection` | `keys(Object obj)` Return all keys for the given value.
`protected Object` | `value(Object obj)` Return the value of the given key.

Methods inherited from class org.apache.openjpa.util.AbstractLRSProxyMap
`added, changed, clear, containsKey, containsValue, copy, entrySet, evaluate, get, getAdded, getChanged, getChangeTracker, getNextSequence, getOwner, getOwnerField, getRemoved, getTrackKeys, isEmpty, isTracking, keySet, put, putAll, remove, removed, setNextSequence, setOwner, setTrackKeys, size, startTracking, stopTracking, values, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### LRSProxyMap

    public LRSProxyMap(LRSMapFieldStrategy strat)

Method Detail

### count

    protected int count()

  Description copied from class: `AbstractLRSProxyMap`
  Return the number of entries in the map, or `Integer.MAX_VALUE`.

  Specified by:
    `count` in class `AbstractLRSProxyMap`

### hasKey

    protected boolean hasKey(Object key)

  Description copied from class: `AbstractLRSProxyMap`
  Return whether the given key exists in the map.

  Specified by:
    `hasKey` in class `AbstractLRSProxyMap`

### hasValue

    protected boolean hasValue(Object value)

  Description copied from class: `AbstractLRSProxyMap`
  Return whether the given value exists in the map.

  Specified by:
    `hasValue` in class `AbstractLRSProxyMap`

### keys

    protected Collection keys(Object obj)

  Description copied from class: `AbstractLRSProxyMap`
  Return all keys for the given value.

  Specified by:
    `keys` in class `AbstractLRSProxyMap`

### value

    protected Object value(Object obj)

  Description copied from class: `AbstractLRSProxyMap`
  Return the value of the given key.

  Specified by:
    `value` in class `AbstractLRSProxyMap`

### itr

    protected Iterator itr()

  Description copied from class: `AbstractLRSProxyMap`
  Implement this method to return an iterator over the entries in the map. Each returned object must implement the `Map.Entry` interface. This method may be invoked multiple times. The iterator does not have to support the `Iterator.remove()` method, and may implement `Closeable`.

  Specified by:
    `itr` in class `AbstractLRSProxyMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.